Page MenuHomePhabricator

503 error for a specific project description edit in Phab
Closed, ResolvedPublic

Description

Found by @Qgil:

  1. Go to https://phabricator.wikimedia.org/project/details/929/
  2. Replace desc by:

This is an experiment about a personal board for @bd808. See T555: Per-user projects for personal work in progress tracking and T556: Create project "User-Bd808".

  1. Get a 503:

Request: POST http://phabricator.wikimedia.org/project/details/929/, from 10.64.0.172 via cp1044
cp1044 ([10.64.0.172]:80), Varnish XID 1594581778
Forwarded for: xx.xxx.xx.xx, 10.64.0.172
Error: 503, Service Unavailable at Tue, 09 Dec 2014 13:55:09 GMT

Request body was:

 Content-Type: application/x-www-form-urlencoded
Content-Length: 288
__csrf__=B%40xxxxxxxxxxxxxxxxxxxxxxxx&__form__=1&name=User-Bd808-Test&std%3Aproject%3Ainternal%3Adescription=This+is+an+experiment+about+a+personal+board+for+%40Bd808.+See++%7BT555%7D+and+%7BT556%7D.&icon=fa-credit-card&color=checkered&slugs=&can_view=public&can_edit=users&can_join=users

Event Timeline

Aklapper created this task.Dec 9 2014, 2:05 PM
Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a project: Phabricator.
Aklapper changed Security from none to None.
Aklapper added a subscriber: Aklapper.
chasemp added a subscriber: chasemp.Dec 9 2014, 5:59 PM

https://secure.phabricator.com/T6403

Notice this same error seems to happen with any @mention in a project description

Aklapper added a subscriber: bd808.

Cannot recheck this problem myself after the latest deployment. Need @bd808 for that as trying to go to that board now triggers:

Access Denied: User-bd808
You do not have permission to edit this object.
Users with the "Can Edit" capability:
bd808 (Bryan Davis) can take this action.

Aklapper assigned this task to bd808.Dec 10 2014, 8:12 PM

Assigning to bd808 for retesting

bd808 closed this task as Resolved.Dec 10 2014, 8:12 PM

I was able to add Test: @bd808 to the description and save without error.

bd808 moved this task from To Do to Done on the User-bd808 board.Dec 11 2014, 1:13 AM
bd808 moved this task from Done to Archive on the User-bd808 board.